GET api/mediwaveprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "76935631-327e-4ed7-8eac-3d6f565cd394",
"program_id": "83662cb5-0dd9-4f5f-8812-a13b500818ef",
"mediwave_program_step_type_id": "cf96bd24-02bd-4b2b-9663-e7d7a8998e63",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>76935631-327e-4ed7-8eac-3d6f565cd394</id> <mediwave_program_step_type_id>cf96bd24-02bd-4b2b-9663-e7d7a8998e63</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>83662cb5-0dd9-4f5f-8812-a13b500818ef</program_id> </mediwave_program_step>